effects                package:stats                R Documentation

Effects from Fitted Model

Description:

     Returns (orthogonal) effects from a fitted model, usually a linear
     model. This is a generic function, but currently only has a
     methods for objects inheriting from classes '"lm"' and '"glm"'.

Usage:

     effects(object, ...)

     ## S3 method for class 'lm':
     effects(object, set.sign=FALSE, ...)

Arguments:

  object: an R object; typically, the result of a model fitting
          function such as 'lm'.

set.sign: logical. If 'TRUE', the sign of the effects corresponding to
          coefficients in the model will be set to agree with the signs
          of the corresponding coefficients, otherwise the sign is
          arbitrary.

     ...: arguments passed to or from other methods.

Details:

     For a linear model fitted by 'lm' or 'aov', the effects are the
     uncorrelated single-degree-of-freedom values obtained by
     projecting the data onto the successive orthogonal subspaces
     generated by the QR decomposition during the fitting process. The
     first r (the rank of the model) are associated with coefficients
     and the remainder span the space of residuals (but are not
     associated with particular residuals).

     Empty models do not have effects.

Value:

     A (named) numeric vector of the same length as 'residuals', or a
     matrix if there were multiple responses in the fitted model, in
     either case of class '"coef"'.

     The first r rows are labelled by the corresponding coefficients,
     and the remaining rows are unlabelled.  Note that in
     rank-deficient models the "corresponding" coefficients will be in
     a different order if pivoting occurred.

References:

     Chambers, J. M. and Hastie, T. J. (1992) _Statistical Models in
     S._ Wadsworth & Brooks/Cole.

See Also:

     'coef'

Examples:

     y <- c(1:3,7,5)
     x <- c(1:3,6:7)
     ( ee <- effects(lm(y ~ x)) )
     c(round(ee - effects(lm(y+10 ~ I(x-3.8))),3))# just the first is different

